<?php
namespace SM\Service;

use SM\Factory\ClientesNaoFaturadosRelatorioFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Zeedhi\Framework\DataSource\DataSet;

class ClientesNaoFaturadosRelatorioService {

    protected $ClientesNaoFaturadosRelatorioFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (ClientesNaoFaturadosRelatorioFactory $ClientesNaoFaturadosRelatorioFactory, Environment $Environment, NewCode $newCode) {
        $this->ClientesNaoFaturadosRelatorioFactory  = $ClientesNaoFaturadosRelatorioFactory;
        $this->Environment               = $Environment;
        $this->newCode                   = $newCode;
    }

    public function getClientesNaoFaturadosRelatorio() {
        return $this->ClientesNaoFaturadosRelatorioFactory->getClientesNaoFaturadosRelatorio();
    }
}